aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/system/.local/bin/statusbar/sb-iplocate
diff options
context:
space:
mode:
authorCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
committerCraig Jennings <c@cjennings.net>2026-01-24 18:52:34 -0600
commitf01e96d000a195a59a7f25cb133caa72a486007e (patch)
treee68693939b738f06e16b02c736090d8fb8adf182 /dotfiles/system/.local/bin/statusbar/sb-iplocate
downloadarchsetup-f01e96d000a195a59a7f25cb133caa72a486007e.tar.gz
archsetup-f01e96d000a195a59a7f25cb133caa72a486007e.zip
fix(testing): remove obsolete --skip-slow-packages option
This flag was removed from archsetup but remained in test scripts.
Diffstat (limited to 'dotfiles/system/.local/bin/statusbar/sb-iplocate')
-rwxr-xr-xdotfiles/system/.local/bin/statusbar/sb-iplocate10
1 files changed, 10 insertions, 0 deletions
diff --git a/dotfiles/system/.local/bin/statusbar/sb-iplocate b/dotfiles/system/.local/bin/statusbar/sb-iplocate
new file mode 100755
index 0000000..02adab8
--- /dev/null
+++ b/dotfiles/system/.local/bin/statusbar/sb-iplocate
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Gets your public ip address checks which country you are in and
+# displays that information in the statusbar
+#
+# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
+
+ifinstalled "geoip" || exit
+addr="$(curl ifconfig.me 2>/dev/null)" || exit
+grep "flag: " "${XDG_DATA_HOME:-$HOME/.local/share}/larbs/emoji" | grep "$(geoiplookup "$addr" | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"